const myMixin = {
    props: {
        chartData: null,
        title: {
            type: String,
            default: ''
        },
        contentTitle: {
            type: String,
            default: ''
        },
        selectOptions: {
            type: Array,
            default: () => []
        },
        // 默认选中值
        defaultValue: {
            type: Number | String,
            default: null
        },
        extra: {
            type: Number | String,
            default: null
        },
        selectedIndex: {
            type: Number,
            default: -1
        }
    },
    watch: {
        chartData() {
            // 重要，延时加载，便于已获取到父级frame
            setTimeout(() => {
                this.fillData()
            }, 500)
        },
        defaultValue() {
            this.selectedValue = this.defaultValue
        }
    },
    data() {
        return {
            myChart: '',
            selectedValue: null
        }
    },
    methods: {
        chooseOption() {
            this.$emit('change', this.selectedValue)
        }
    },
    mounted() {
        window.addEventListener('resize', () => {
            if (this.myChart) this.myChart.resize();
        });

        if (this.defaultValue === null && this.selectOptions && this.selectOptions.length > 0) {
            //默认显示每周
            // this.selectedValue = this.selectOptions[0].value
            //默认显示每月
            this.selectedValue = this.selectOptions[1].value
        } else {
            this.selectedValue = this.defaultValue
        }
    },
}

export default myMixin
