import RbCard from './Card/index.js';
import RbSubTitle from './SubTitle/index.js';
import RbModal from './Modal/index.js';
import RbSearch from './Search/index.js';
// import RbTable from './RbTable/table.js';
import GlobalPage from './GlobalPage/index.js';
import WorkBench from './WorkBench/index.js';
import BlockWeb from './BlockWeb/index.js';
// import Download from './Download/index.js';
import loadmore from './directives/load-more/index.js';
import onlyNumber from './directives/only-number/index.js';

// 放组件
const components = {
  RbCard,
  RbSubTitle,
  RbModal,
  RbSearch,
  GlobalPage,
  WorkBench,
  BlockWeb
};

// 放指令
const directives = {
  loadmore,
  onlyNumber,
};

// 绑定到Vue实例下的方法
// const vueInstanceFun = {
//   Download,
// };

const install = function (Vue) {
  if (install.installed) return;
  install.installed = true;
  Object.values(components).map((component) => {
    Vue.component(component.name, component);
  });
  Object.values(directives).map((directive) => {
    Vue.directive(directive.name, directive);
  });
  // Object.values(vueInstanceFun).map((fun) => {
  //   Vue.use(fun);
  // });
  // Vue.component(RbTable.name, RbTable)
};

/** 支持使用标签方式引入 */
if (typeof window != 'undefined' && window.Vue) {
  install(window.Vue);
}

export default install;
export {
  RbCard,
  RbSubTitle,
  RbModal,
  RbSearch,
  // RbTable,
  GlobalPage,
  WorkBench,
  BlockWeb
  // Download, loadmore, onlyNumber
};
// /**
//  * @description components outputs
//  */

// const requireComponents = require.context('./src', true, /\.vue$/)

// const install = (Vue) => {
//   if (install.installed) return

//   requireComponents.keys().forEach(component => {
//     const config = requireComponents(component)
//     const componentName = config.default.name
//     Vue.component(componentName, config.default)
//   })
// }

// export default {
//   install
// }
